Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Action Member List

This is the complete list of members for Action, including all inherited members.

Action() | Action | protected
addRef() const | ObjectImpl | virtual
cast(const Class &clazz) const =0 | Object | pure virtual
close() | Action |
execute(log4cxx::helpers::Pool &pool) const =0 | Action | pure virtual
getClass() const | Object | virtual
getStaticClass() | Object | static
instanceof(const Class &clazz) const =0 | Object | pure virtual
isComplete() const | Action |
ObjectImpl() | ObjectImpl |
ref | ObjectImpl | mutable protected
registerClass() | Object | static
releaseRef() const | ObjectImpl | virtual
reportException(const std::exception &) | Action |
run(log4cxx::helpers::Pool &pool) | Action |
~Action() | Action | protected virtual
~Object() | Object | inline virtual
~ObjectImpl() | ObjectImpl | virtual